> For the complete documentation index, see [llms.txt](https://docs.elixir.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elixir.app/api-docs.md).

# API

- [Elixir REST API](https://docs.elixir.app/api-docs/api-docs-1.md): Get started with Elixir in minutes
- [Desktop Auth](https://docs.elixir.app/api-docs/api-docs-1/auth.md): API protocol description and utilities for Desktop integration
- [Mobile Auth](https://docs.elixir.app/api-docs/api-docs-1/mobile-auth.md): Authentification request in order to get user credentials
- [RSA Signature](https://docs.elixir.app/api-docs/api-docs-1/rsa-signature.md)
- [C# Example](https://docs.elixir.app/api-docs/api-docs-1/rsa-signature/c-example.md): C# Example of RSA signature implementation with signature verify
- [Node.js Example](https://docs.elixir.app/api-docs/api-docs-1/rsa-signature/node.js-example.md): node.js example of RSA signature
- [User](https://docs.elixir.app/api-docs/api-docs-1/user.md): Obtaining Elixir User information
- [NFTs](https://docs.elixir.app/api-docs/api-docs-1/nfts.md): Obtain the user nfts and allow to play with them!
- [Tournaments API](https://docs.elixir.app/api-docs/api-docs-1/tournaments-api.md): Game implementation of the tournaments tool.
- [Game Quests](https://docs.elixir.app/api-docs/api-docs-1/game-quests.md): Discover the API to support Quests inside your Game and take the best out of the Season Pass!
- [How To](https://docs.elixir.app/api-docs/how-to.md)
- [Link Elixir account to a game API account](https://docs.elixir.app/api-docs/how-to/link-elixir-account-to-a-game-api-account.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.elixir.app/api-docs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
